Bug 538908 - FTBFS nant-0.85-32.fc12
Summary: FTBFS nant-0.85-32.fc12
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nant
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Paul F. Johnson
QA Contact: Fedora Extras Quality Assurance
URL: http://linux.dell.com/files/fedora/Fi...
Whiteboard:
Keywords: Triaged
Depends On:
Blocks: F13FTBFS
TreeView+ depends on / blocked
 
Reported: 2009-11-19 15:59 UTC by FTBFS
Modified: 2010-01-21 20:13 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-01-21 20:13:19 UTC


Attachments (Terms of Use)
root.log (138.00 KB, text/plain)
2009-11-19 15:59 UTC, FTBFS
no flags Details
build.log (15.55 KB, text/plain)
2009-11-19 15:59 UTC, FTBFS
no flags Details
mock.log (942 bytes, text/plain)
2009-11-19 15:59 UTC, FTBFS
no flags Details
root.log (172.54 KB, text/plain)
2009-11-19 15:59 UTC, FTBFS
no flags Details
build.log (15.64 KB, text/plain)
2009-11-19 15:59 UTC, FTBFS
no flags Details
mock.log (950 bytes, text/plain)
2009-11-19 15:59 UTC, FTBFS
no flags Details

Description FTBFS 2009-11-19 15:59:35 UTC
nant-0.85-32.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.

Comment 1 FTBFS 2009-11-19 15:59:39 UTC
Setting to ASSIGNED per Fedora Bug Triage workflow.  https://fedoraproject.org/wiki/BugZappers/BugStatusWorkFlow

Comment 2 FTBFS 2009-11-19 15:59:42 UTC
Created attachment 370587 [details]
root.log

root.log for i386

Comment 3 FTBFS 2009-11-19 15:59:43 UTC
Created attachment 370588 [details]
build.log

build.log for i386

Comment 4 FTBFS 2009-11-19 15:59:45 UTC
Created attachment 370589 [details]
mock.log

mock.log for i386

Comment 5 FTBFS 2009-11-19 15:59:46 UTC
Created attachment 370590 [details]
root.log

root.log for x86_64

Comment 6 FTBFS 2009-11-19 15:59:47 UTC
Created attachment 370591 [details]
build.log

build.log for x86_64

Comment 7 FTBFS 2009-11-19 15:59:49 UTC
Created attachment 370592 [details]
mock.log

mock.log for x86_64

Comment 8 Kalev Lember 2009-11-29 12:06:51 UTC
This looks like a circular dependency problem: nant fails to build because of log4net, and log4net can't build because nant doesn't work in rawhide.

Relevant section from "FTBFS log4net-1.2.10-8.fc13" (https://bugzilla.redhat.com/show_bug.cgi?id=539189) build log:
+ nant -buildfile:log4net.build compile-all
** (/usr/lib64/NAnt/bin/NAnt.exe:31485): WARNING **: The following assembly referenced from /usr/lib64/NAnt/bin/NAnt.exe could not be loaded:
     Assembly:   log4net    (assemblyref_index=1)
     Version:    1.2.10.0
     Public Key: 2a6b8347ed52b694

I suppose nant should be bootstrapped in rawhide so that log4net can be properly rebuilt, and then nant should be rebuilt again with bootstrapping disabled.

Comment 9 Tom "spot" Callaway 2010-01-21 20:13:19 UTC
This is all fixed up now:
Built in rawhide: nant-0.85-33.fc13


Note You need to log in before you can comment on or make changes to this bug.